Page MenuHomePhabricator

ru wikisource is loading external web fonts in violation of privacy policy
Closed, ResolvedPublic

Description

From https://ru.wikisource.org/wiki/MediaWiki:Common.css

/* Web Font CSS declaration for Church Slavonic fonts */
/* Slavonic Computing Initiative (https://sci.ponomar.net/) */

@font-face {
    font-family: 'Ponomar Unicode';
    src: url('https://sci.ponomar.net/fonts/PonomarUnicode.eot');
    src: url('https://sci.ponomar.net/fonts/PonomarUnicode.eot?#iefix') format('embedded-opentype'),
		url('https://sci.ponomar.net/fonts/PonomarUnicode.woff2') format('woff2'),
		url('https://sci.ponomar.net/fonts/PonomarUnicode.woff') format('woff'),
		url('https://sci.ponomar.net/fonts/PonomarUnicode.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'Menaion Unicode';
    src: url('https://sci.ponomar.net/fonts/MenaionUnicode.eot');
    src: url('https://sci.ponomar.net/fonts/MenaionUnicode.eot?#iefix') format('embedded-opentype'),
		url('https://sci.ponomar.net/fonts/MenaionUnicode.woff2') format('woff2'),
		url('https://sci.ponomar.net/fonts/MenaionUnicode.woff') format('woff'),
		url('https://sci.ponomar.net/fonts/MenaionUnicode.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
}

Related Objects

Event Timeline

Bawolff created this task.Mar 20 2019, 12:50 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 20 2019, 12:50 PM
Bawolff added subscribers: TheDJ, Vladis13.

According to https://phabricator.wikimedia.org/T208177#4703847 this should be "unbreak now" and potentially escalated to stewards?

Vladis13 added a comment.EditedMar 20 2019, 8:13 PM

The rules of ru.Wikisource has a permission to add texts written in Russian Church Slavonic, Old Church Slavonic, and Glagolitic script.
These are fonts for the ability to display them, otherwise they not shows. This site https://sci.ponomar.net/fonts.html is main source of fonts.
Although, seems on ru.Wikisource no texts using these fonts. They are transferred to the common Wikisource, where the text headers there have the link to this site for downloading fonts (example).

Vladis13 added a comment.EditedMar 20 2019, 9:52 PM

Is it possible to download these fonts from https://tools.wmflabs.org/ruwikisource/ with MediaWiki:Common.css?

The rules of ru.Wikisource has a permission to add texts written in Russian Church Slavonic, Old Church Slavonic, and Glagolitic script.
These are fonts for the ability to display them, otherwise they not shows. This site https://sci.ponomar.net/fonts.html is main source of fonts.
Although, seems on ru.Wikisource no texts using these fonts. They are transferred to the common Wikisource, where the text headers there have the link to this site for downloading fonts (example).

That's still considered a violation of the privacy policy (because people could in theory use it to track users and determine what IP corresponds to different logged in users).

Ideally the webfont could maybe be added to the ULS (https://www.mediawiki.org/wiki/Extension:UniversalLanguageSelector) extension

There's been some talk of allowing people to upload webfonts to wikimedia commons, but so far nothing has come of it.

We will try via the extention. Thank you!

Aklapper closed this task as Resolved.Apr 6 2019, 8:15 PM
Aklapper assigned this task to Vladis13.

Can this task be made public?

@Aklapper: why not, Bawolff have status "disabled".

Alright, making this task public.

Aklapper changed the visibility from "Custom Policy" to "Public (No Login Required)".May 27 2019, 9:36 AM